fop 1.1

## org.apache.fop.layoutmgr
Class BreakOpportunityHelper

    java.lang.Object
      org.apache.fop.layoutmgr.BreakOpportunityHelper

    public final class BreakOpportunityHelper

extends java.lang.Object

Helper implementations of the `BreakOpportunity` methods.

Method Summary
`static int` `getBreakBefore(AbstractLayoutManager layoutManager)` Returns the break opportunity before the given layout manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBreakBefore

    public static int getBreakBefore(AbstractLayoutManager layoutManager)

  Returns the break opportunity before the given layout manager. There is a break opportunity if the LM's FO has the break-before property set, or if there is a break opportunity before its first child LM.

  Returns:
    the break-before value (Constants.EN_*)

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.